# IcyNet.eu
Icy Network Primary Web Application - Authentication and News

## About Icy Network
Icy Network is a SSO (Single-Sign On) service provider - for communities. This application is used for authentication services such as OAuth2 in order to unite our websites with a single login and as a central news outlet for Icy Network services.

## Requirements
* [Node.js](https://nodejs.org/en/)
* A running instance of [Redis](https://redis.io/)
* A database of your choice. See [knex installation](https://knexjs.org/#Installation-node) for a list of supported database drivers.

### Development
1. Clone this repository and `cd` into it
2. `npm install` - Get all the dependencies
3. `cp config.example.toml config.toml && $EDITOR config.toml` - Copy the configuration (and edit it)
4. `npm run watch` - Run the server and front-end watch task, which also starts the application in development mode

You can run the application in development mode using `npm start -- -d` if you do not need the watch tasks.

### Production
1. `npm run build` - Build the front-end
2. `npm start` - Start the application in production mode
